#include <iostream>
#include <iomanip>

using namespace std;

#include "sllist.h"
#include "phonelist.h"

int main()
{
    PhoneList rolo;
    Record data;
    int i;

    cout << "Enter names and phone numbers for the database." << endl;
    cout << "Do not put spaces in the name or the phone number" << endl;
    cout << "(it will cause the input loop to terminate)." << endl;
    for (i=0; cin && i < 10; i++) {
	cin >> data.name >> data.number;
	// This next line calls the compiler-provided
	// copy constructor.  The return value from `new'
	// is saved in the linked list and will be deleted
	// in rolo's destructor.
	rolo.Add(new Record(data));
    }
    cin.ignore(1024);	// Ignore any remaining, pre-buffered input
    cout << i << " phone numbers entered." << endl;

    char query[40];
    cout << "Enter a name prefix to search for: ";
    cin >> query;

    PhoneListIter iter(rolo);
    Record *ptr;
    while (ptr = iter.Current()) {
	if (strncmp(ptr->name, query, strlen(query)) == 0)
	    cout << ptr->name << " @ " << ptr->number << endl;
	iter.Next();
    }
    return 0;
    // Destructor for PhoneList object will call `delete' on
    // all of the objects in the linked list.
}
