#include <iostream>
#include <string>

using namespace std;

#include "tech40b.h"	// Our Tech class...

Tech::Tech(const char *fn, const char *ln)
    : Empl(fn, ln)
{
    strcpy(type, "none");
    educ = None;
}

void Tech::Print()
{
    Empl::Print();
    cout << "Type:   " << GetType() << ", " << GetEduc() << endl;
}

const char* Tech::GetEduc()
{
    return( educ == None	? "None" :
	    educ == HighSchool	? "High School" :
	    educ == Associate	? "Associate" :
	    educ == Bachelor	? "Bachelor" :
	    educ == Master	? "Master" :
	    educ == Doctorate	? "Doctorate" : "[unknown]" );
}
