#include <iostream>

using namespace std;

#include "empl40b.h"	// Our Empl class...
#include "cler40b.h"	// Our Cler class...
#include "tech40b.h"	// Our Tech class...

int main()
{
    Empl emp("Fred", "Flintstone");
    emp.Update(30000.00);		// salary
    cout << "Calling emp.Print()" << endl;
    emp.Print();
    cout << endl;

    Cler cler;
    cler.Update("Wilma", "Flintstone");		// fname & lname
    cler.Update(12000.00);		// salary
    cler.SetSkills("Cooking, sewing, cleaning, ...");
    cler.SetSpeed(30);
    cout << "Calling cler.Print()" << endl;
    cler.Print();
    cout << endl;

    Tech tech("Barney", "Rubble");
    tech.Update(28000.00);		// salary
    tech.SetType("Mech");
    tech.SetEduc(Tech::Doctorate);
    cout << "Calling tech.Print()" << endl;
    tech.Print();
    cout << endl;

    return 0;
}
