#ifndef tech_h_
#define tech_h_

#include "empl40b.h"

class Tech : public Empl {
  public:
    enum schooling {
	None=0,
	HighSchool=1,
	College2yr=2, Associate=2,
	College4yr=3, Bachelor=3,
	College6yr=4, Master=4,
	College8yr=5, Doctorate=5
    };
    Tech() : Empl()		{ memset(type, 0, sizeof(type)); educ = None; }
    Tech(const char *fn, const char *ln);
    void Print();		// Needed in order to print the new fields!

    // Define the functions for Get()ing and Set()ing the new fields.
    void SetType(const char *ty) { strncpy(type, ty, sizeof(type)-1); }
    void SetEduc(enum schooling ed)	 { educ = ed; }

    const char* GetType()	{ return type; }
    const char* GetEduc();
  private:
    char type[10];		// Category
    enum schooling educ;	// Amount of education
};

#endif // tech_h_
